package com.tjk.entity;

import java.util.Date;

/**
 * ProductPerformance entity. @author MyEclipse Persistence Tools
 */

public class ProductPerformance implements java.io.Serializable {

	// Fields
	private static final long serialVersionUID = 2543768764575333674L;
	private Integer id;
	private Integer productId;
	private Integer productScale;
	private Float accumulativeValue;
	private Float netValue;
	private Date expiryDate;

	// Constructors

	/** default constructor */
	public ProductPerformance() {
	}

	/** full constructor */
	public ProductPerformance(Integer productId, Integer productScale,
			Float accumulativeValue, Float netValue, Date expiryDate) {
		this.productId = productId;
		this.productScale = productScale;
		this.accumulativeValue = accumulativeValue;
		this.netValue = netValue;
		this.expiryDate = expiryDate;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Integer getProductScale() {
		return this.productScale;
	}

	public void setProductScale(Integer productScale) {
		this.productScale = productScale;
	}

	public Float getAccumulativeValue() {
		return this.accumulativeValue;
	}

	public void setAccumulativeValue(Float accumulativeValue) {
		this.accumulativeValue = accumulativeValue;
	}

	public Float getNetValue() {
		return this.netValue;
	}

	public void setNetValue(Float netValue) {
		this.netValue = netValue;
	}

	public Date getExpiryDate() {
		return this.expiryDate;
	}

	public void setExpiryDate(Date expiryDate) {
		this.expiryDate = expiryDate;
	}

}